Bug 145248 - [PATCH] print/ghostscript8: fix cairo support
[PATCH] print/ghostscript8: fix cairo support
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: doceng
Depends on:
  Show dependency treegraph
Reported: 2010-03-31 19:00 UTC by Martin Matuska
Modified: 2010-04-12 06:01 UTC (History)
1 user (show)

See Also:

ghostscript8-8.70_3.patch (1.19 KB, patch)
2010-03-31 19:00 UTC, Martin Matuska
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Matuska freebsd_committer 2010-03-31 19:00:19 UTC
If cairo is installed on the system ghostscript automatically links against it.
The package doesn't know about this.

The attached patch resolves ths issue.

Port maintainer (doceng@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2010-03-31 19:00:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->doceng

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2010-04-03 08:03:08 UTC
hrs         2010-04-03 07:02:54 UTC

  FreeBSD ports repository

  Modified files:
    print/ghostscript8   Makefile Makefile.drivers distinfo 
    print/ghostscript8/files patch-base-Makefile.in 
  Added files:
    print/ghostscript8/files patch-base-unix-dll.mak 
  * Update to 8.71.[1]  Changes include:
   - Support for tiff file output is now provided using the libtiff
     implementation rather than our more limited native code as in
     previous releases. There is also a new 'tiffsep1' output
     device which produces halftoned separations at 1
     bit-per-pixel, in contrast to the 'tiffsep' device which
     produces 8 bit-per-pixel plates.
   - The graphics library has been updated to provide more accurate
     scan conversion of vector art including fixes to dash
     behavior, transparent stroked paths, thick stroked paths,
     radial shadings, xps cap handling, "pie" joins, degenerate
     beziers, improved handling of dropouts in thin strokes and
     better thin axis-aligned strokes.
  * Fix cairo support.  GS_cairo is added to the drivers list (this
    is disabled by default).  When WITH_CAIRO is defined, GS_cairo
    will be set by default.[2]
  PR:     ports/144111[1]
  PR:     ports/137634[2]
  PR:     ports/145248[2]
  Revision  Changes    Path
  1.194     +12 -5     ports/print/ghostscript8/Makefile
  1.6       +12 -1     ports/print/ghostscript8/Makefile.drivers
  1.72      +3 -3      ports/print/ghostscript8/distinfo
  1.2       +16 -9     ports/print/ghostscript8/files/patch-base-Makefile.in
  1.1       +17 -0     ports/print/ghostscript8/files/patch-base-unix-dll.mak (new)
  1.52      +4 -1      ports/print/ghostscript8/pkg-plist
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Hiroki Sato freebsd_committer 2010-04-12 06:00:00 UTC
State Changed
From-To: open->closed

Committed with modification for integrating cairo into the device list. 
Thank you for your report!